Bug 622731 - [abrt] crash in gummi-0.4.5-1.fc12: Importer.py:79:prepare_image:TypeError: GtkEntry.set_text() argument 1 must be string, not None
[abrt] crash in gummi-0.4.5-1.fc12: Importer.py:79:prepare_image:TypeError: G...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gummi (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
abrt_hash:615fe527
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-10 05:41 EDT by jendrik
Modified: 2010-08-31 02:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: gummi-0.4.8-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 02:27:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (874 bytes, text/plain)
2010-08-10 05:41 EDT, jendrik
no flags Details

  None (edit)
Description jendrik 2010-08-10 05:41:21 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/gummi
component: gummi
executable: /usr/bin/gummi
kernel: 2.6.32.16-150.fc12.i686
package: gummi-0.4.5-1.fc12
reason: Importer.py:79:prepare_image:TypeError: GtkEntry.set_text() argument 1 must be string, not None
release: Fedora release 12 (Constantine)

backtrace
-----
Importer.py:79:prepare_image:TypeError: GtkEntry.set_text() argument 1 must be string, not None

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gummi/GummiGUI.py", line 322, in on_image_file_activate
    self.importgui.choose_imagefile()
  File "/usr/lib/python2.6/site-packages/gummi/GummiGUI.py", line 645, in choose_imagefile
    self.importer.prepare_image()
  File "/usr/lib/python2.6/site-packages/gummi/Importer.py", line 79, in prepare_image
    self.image_file.set_text(imagefile)
TypeError: GtkEntry.set_text() argument 1 must be string, not None

Local variables in innermost frame:
imagefile: None
self: <gummi.Importer.Importer instance at 0x8bd86ec>
chooser: <gtk.FileChooserDialog object at 0x8bea07c (GtkFileChooserDialog at 0x8ddf828)>
response: -6
imagefilter: <gtk.FileFilter object at 0x8bea57c (GtkFileFilter at 0x8e664a0)>
Comment 1 jendrik 2010-08-10 05:41:23 EDT
Created attachment 437822 [details]
File: backtrace
Comment 2 Fedora Update System 2010-08-17 15:51:35 EDT
gummi-0.4.8-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gummi-0.4.8-2.fc13
Comment 3 Fedora Update System 2010-08-17 15:51:44 EDT
gummi-0.4.8-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gummi-0.4.8-2.fc12
Comment 4 Fedora Update System 2010-08-19 22:23:52 EDT
gummi-0.4.8-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gummi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gummi-0.4.8-2.fc13
Comment 5 Fedora Update System 2010-08-31 02:27:37 EDT
gummi-0.4.8-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-08-31 02:35:59 EDT
gummi-0.4.8-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.